interface IValidator {
    (value: string): string | boolean;
}
type ValidationSchema = Record<string, IValidator[]>;
type IFormState = {
    [key: string]: string | number | Date | boolean | Function | Record<string, any>;
    isDirty: boolean;
    hasErrors: boolean;
    data: () => Record<string, any>;
    transform: (callback: (data: Record<string, any>) => any) => IFormState;
    validationSchema: (schema: ValidationSchema) => IFormState;
    reset: () => IFormState;
    submit: (name: string, options: Record<string, any>) => void;
    validate: (schema?: ValidationSchema) => boolean;
    submitForm: (method: string | Function, options: Record<string, any>) => void;
    submitEvent: (event: string) => void;
};
type IFormConfig = {
    emit?: (event: string, data: any) => void;
    axiosInstance?: any;
};
export declare const useForm: (props: Record<string, any>, config?: IFormConfig) => IFormState;
export declare const validators: {
    isRequired(value: string): true | "URL is required";
    isUrl(value: string): true | "Invalid URL";
};
export {};
